Bug 192392 - Kernel panic on boot (intel-agp problem)
Kernel panic on boot (intel-agp problem)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-19 05:52 EDT by Daniel Marynicz
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 23:44:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 6485 None None None Never
Novell 173656 None None None Never

  None (edit)
Description Daniel Marynicz 2006-05-19 05:52:01 EDT
Distribution: 
SUSE LINUX 10.0, SUSE LINUX 10.1RC3 Fedora Core 4, Fedora Core 5, Linux Madriva
2006, Probably all linux Distributions,  

Hardware Environment:

Motherboard:  ASRock P4i65GV info: http://www.asrock.com/product/P4i65GV.htm
Chipset: Intel 865GV, Supports Hyper-Threading Technology
CPU:
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      : Intel(R) Celeron(R) CPU 2.40GHz
stepping        : 1
cpu MHz         : 2397.513
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe constant_tsc pni
monitor ds_cpl cid xtpr
bogomips        : 4802.09

PCI:
00:00.0 Host bridge: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub
Interface (rev 02)
00:02.0 Display controller: Intel Corporation 82865G Integrated Graphics
Controller (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface
Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller
(rev 02)
00:1f.2 IDE interface: Intel Corporation 82801EB (ICH5) SATA Controller (rev
02)
00:1f.3 SMBus: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller (rev
02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R)
AC'97 Audio Controller (rev 02)
01:00.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200 PRO]
(rev 01)
01:00.1 Display controller: ATI Technologies Inc RV280 [Radeon 9200 PRO]
(Secondary) (rev 01)
01:05.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)


Software Environment:

Module                  Size  Used by
snd_seq_dummy           3844  0
xt_pkttype              1920  3
ipt_LOG                 5760  8
xt_limit                2560  8
snd_pcm_oss            50848  0
snd_mixer_oss          15488  1 snd_pcm_oss
snd_seq                47312  1 snd_seq_dummy
snd_seq_device          8844  2 snd_seq_dummy,snd_seq
edd                     8644  0
button                  6544  6
battery                 9220  6
ac                      4868  10
ip6t_REJECT             5120  3
xt_tcpudp               3200  3
ipt_REJECT              5248  3
xt_state                2176  12
iptable_mangle          2816  0
iptable_nat             8580  0
ip_nat                 16556  1 iptable_nat
iptable_filter          3072  1
ip6table_mangle         2432  0
ip_conntrack           50348  3 xt_state,iptable_nat,ip_nat
nfnetlink               6168  2 ip_nat,ip_conntrack
ip_tables              11720  3 iptable_mangle,iptable_nat,iptable_filter
ip6table_filter         2816  1
ip6_tables             13128  2 ip6table_mangle,ip6table_filter
x_tables               12036  10
xt_pkttype,ipt_LOG,xt_limit,ip6t_REJECT,xt_tcpudp,ipt_REJECT,xt_state,iptable_nat,ip_tables,ip6_tables
ipv6                  217984  15 ip6t_REJECT
nls_iso8859_2           4864  8
ntfs                  186004  8
radeon                 96288  0
drm                    61204  1 radeon
dm_mod                 46392  0
usbhid                 39904  0
shpchp                 39360  0
pci_hotplug            23860  1 shpchp
intel_agp              21148  1
agpgart                29404  2 drm,intel_agp
8139too                24064  0
ehci_hcd               27144  0
mii                     5248  1 8139too
uhci_hcd               27664  0
usbcore               109316  4 usbhid,ehci_hcd,uhci_hcd
i8xx_tco                7060  0
snd_intel8x0           30108  27
snd_ac97_codec         83744  1 snd_intel8x0
snd_ac97_bus            2304  1 snd_ac97_codec
snd_pcm                80648  3 snd_pcm_oss,snd_intel8x0,snd_ac97_codec
snd_timer              21636  2 snd_seq,snd_pcm
snd                    49508  189
snd_seq_dummy,snd_pcm_oss,snd_mixer_oss,snd_seq,snd_seq_device,snd_intel8x0,snd_ac97_codec,snd_pcm,snd_timer
soundcore               8928  1 snd
snd_page_alloc         10248  2 snd_intel8x0,snd_pcm
i2c_i801                8204  0
i2c_core               19344  1 i2c_i801
ide_cd                 35360  1
cdrom                  32416  1 ide_cd
parport_pc             35172  1
lp                     10820  0
parport                32200  2 parport_pc,lp
ext3                  117128  6
jbd                    55072  1 ext3
fan                     4484  6
thermal                12808  6
processor              21312  45 thermal
sg                     30108  0
ata_piix               10116  14
libata                 53136  1 ata_piix
piix                    9220  0 [permanent]
sd_mod                 16400  16
scsi_mod              122344  3 sg,libata,sd_mod
ide_disk               14976  2
ide_core              112688  3 ide_cd,piix,ide_disk

Problem Description:
When i boot with intel-agp kernel crash my system (panic)

That's what kernel reports when i change  drivers/char/agp/intel-agp.c

static struct agp_bridge_driver intel_830_driver = {
        .owner                  = THIS_MODULE,
        .aperture_sizes         = intel_i830_sizes,
        .size_type              = FIXED_APER_SIZE,
        .num_aperture_sizes     = 3,
        .needs_scratch_page     = TRUE,
        .configure              = intel_i830_configure,
        .fetch_size             = intel_i830_fetch_size,
        .cleanup                = intel_i830_cleanup,
        .tlb_flush              = intel_i810_tlbflush,
        .mask_memory            = intel_i810_mask_memory,
        .masks                  = intel_i810_masks,
        .agp_enable             = intel_i810_agp_enable,
        .cache_flush            = global_cache_flush,
        .create_gatt_table      = intel_i830_create_gatt_table,
        .free_gatt_table        = intel_i830_free_gatt_table,
        .insert_memory          = intel_i830_insert_entries,
        .remove_memory          = intel_i830_remove_entries,
        .alloc_by_type          = intel_i830_alloc_by_type,
        .free_by_type           = intel_i810_free_by_type,
        .agp_alloc_page         = agp_generic_alloc_page,
        .agp_destroy_page       = agp_generic_destroy_page,
};


 .needs_scratch_page     = TRUE,  to FALSE
And Kernel not crash and agp not Function correctly.

Steps to reproduce:

Boot computer

LKCD INFO (FROM SUSE 10.1):
I Not have kernel with LKCD on RC4 or RC5... :(

LKCD crash report 5... 


gandalf:/var/log/dump/5 # lcrash map.5  dump.5 kerntypes.5
lcrash 0.10.2 (xlcrash) build at Apr 28 2006 13:50:31
Lcrash is free software. It is covered by the GNU General Public License.
You are welcome to change it and/or distribute copies of it under certain
conditions. Type "help -C" to see the conditions. Absolutely no warranty
is given for Lcrash. Type "help -W" for warranty details.

      map = map.5
     dump = dump.5
kerntypes = kerntypes.5


Please wait...

        Verifying filenames... Done.
        Initializing host information... Done.
        Initializing dump information... Done.
        Opening dump for access... Done.
        Reading in the dump header... Done.
        Determining dump architecture... Done.
        Loading kernel type information .... Done.
        Setting up for dump access... Done.
        Loading kernel symbol information ... Done.
        Initialize virtop address translator... Done.
        Initialize dump specific data ... Done.
        Version of map,dump and types:
                gandalf_Wed_May_17_01_55_27_CEST_2006
        Loading ksyms from dump .................. Done.

DUMP INFORMATION:

     architecture: i386
       byte order: little
     pointer size: 32
   bytes per word: 4

   kernel release: 2.6.16
      memory size: 804519936 (0G 767M 256K 0Byte)
   num phys pages: 196416
   number of cpus: 1


>> report
=======================
LCRASH CORE FILE REPORT
=======================

GENERATED ON:
    Thu May 18 23:17:15 2006


TIME OF CRASH:
    Wed May 17 21:28:02 2006


PANIC STRING:
    Oops

MAP:
    map.5

DUMP:
    dump

KERNTYPES:
    kerntypes.5

================
COREFILE SUMMARY
================

    The system died due to a software failure.

===================
UTSNAME INFORMATION
===================

   sysname : Linux
  nodename : (none)
   release : 2.6.16.13-4-lkcd
   version : #3 Wed May 17 01:55:27 CEST 2006
   machine : i686
domainname : (none)

===============
LOG BUFFER DUMP
===============

    <5>Linux version 2.6.16.13-4-lkcd (geeko@buildhost) (gcc version 4.1.0
(SUSE Linux)) #3 Wed May 17 01:55:27 CEST 2006
    <6>BIOS-provided physical RAM map:
    <4> BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
    <4> BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
    <4> BIOS-e820: 00000000000e6000 - 0000000000100000 (reserved)
    <4> BIOS-e820: 0000000000100000 - 000000002ff40000 (usable)
    <4> BIOS-e820: 000000002ff40000 - 000000002ff50000 (ACPI data)
    <4> BIOS-e820: 000000002ff50000 - 0000000030000000 (ACPI NVS)
    <4> BIOS-e820: 00000000ffbc0000 - 0000000100000000 (reserved)
    <5>0MB HIGHMEM available.
    <5>767MB LOWMEM available.
    <6>No mptable found.
    <7>On node 0 totalpages: 196416
    <7>  DMA zone: 4096 pages, LIFO batch:0
    <7>  DMA32 zone: 0 pages, LIFO batch:0
    <7>  Normal zone: 192320 pages, LIFO batch:31
    <7>  HighMem zone: 0 pages, LIFO batch:0
    <6>DMI 2.3 present.
    <6>IO/L-APIC allowed because system is MP or new enough
    <4>Allocating PCI resources starting at 40000000 (gap: 30000000:cfbc0000)
    <4>Built 1 zonelists
    <5>Kernel command line: root=/dev/sdb6 vga=normal ide=nodma apm=off
acpi=off noresume nosmp noapic maxcpus=0 edd=off 3
    <4>Found and enabled local APIC!
    <6>Enabling fast FPU save and restore... done.
    <6>Enabling unmasked SIMD FPU exception support... done.
    <6>Initializing CPU#0
    <4>PID hash table entries: 4096 (order: 12, 65536 bytes)
    <4>Detected 2397.357 MHz processor.
    <6>Using tsc for high-res timesource
    <4>Console: colour VGA+ 80x25
    <4>Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
    <4>Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
    <6>Memory: 773100k/785664k available (1492k kernel code, 11968k reserved,
610k data, 156k init, 0k highmem)
    <4>Checking if this processor honours the WP bit even in supervisor mode...
Ok.
    <4>Calibrating delay using timer specific routine.. 4800.97 BogoMIPS
(lpj=9601953)
    <6>Security Framework v1.0.0 initialized
    <4>Mount-cache hash table entries: 512
    <7>CPU: After generic identify, caps: bfebfbff 00000000 00000000 00000000
0000441d 00000000 00000000
    <7>CPU: After vendor identify, caps: bfebfbff 00000000 00000000 00000000
0000441d 00000000 00000000
    <4>monitor/mwait feature present.
    <4>using mwait in idle threads.
    <6>CPU: Trace cache: 12K uops, L1 D cache: 16K
    <6>CPU: L2 cache: 256K
    <7>CPU: After all inits, caps: bfebfbff 00000000 00000000 00000180 0000441d
00000000 00000000
    <6>Intel machine check architecture supported.
    <6>Intel machine check reporting enabled on CPU#0.
    <6>CPU0: Intel P4/Xeon Extended MCE MSRs (12) available
    <6>CPU0: Thermal monitoring enabled
    <4>CPU: Intel(R) Celeron(R) CPU 2.40GHz stepping 01
    <6>Checking 'hlt' instruction... OK.
    <6>checking if image is initramfs... it is
    <6>Freeing initrd memory: 2315k freed
    <6>NET: Registered protocol family 16
    <6>PCI: PCI BIOS revision 2.10 entry at 0xf0031, last bus=1
    <6>PCI: Using configuration type 1
    <6>ACPI: Subsystem revision 20060127
    <6>ACPI: Interpreter disabled.
    <6>Linux Plug and Play Support v0.97 (c) Adam Belay
    <6>pnp: PnP ACPI: disabled
    <4>PCI: Probing PCI hardware
    <7>PCI: Probing PCI hardware (bus 00)
    <4>PCI quirk: region 0800-087f claimed by ICH4 ACPI/GPIO/TCO
    <4>PCI quirk: region 0480-04bf claimed by ICH4 GPIO
    <6>PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.1
    <7>Boot video device is 0000:01:00.0
    <6>PCI: Transparent bridge - 0000:00:1e.0
    <6>PCI: Using IRQ router PIIX/ICH [8086/24d0] at 0000:00:1f.0
    <6>PCI: Found IRQ 3 for device 0000:00:1f.1
    <6>PCI: Sharing IRQ 3 with 0000:00:1d.2
    <6>PCI: Sharing IRQ 3 with 0000:00:1f.2
    <4>TC classifier action (bugs to netdev@vger.kernel.org cc hadi@cyberus.ca)
    <4>Setting up standard PCI resources
    <6>PCI: Bridge: 0000:00:1e.0
    <6>  IO window: b000-bfff
    <6>  MEM window: fe500000-fe5fffff
    <6>  PREFETCH window: ce400000-ee3fffff
    <7>PCI: Setting latency timer of device 0000:00:1e.0 to 64
    <6>apm: BIOS not found.
    <6>audit: initializing netlink socket (disabled)
    <5>audit(1147901219.564:1): initialized
    <4>Total HugeTLB memory allocated, 0
    <5>VFS: Disk quotas dquot_6.5.1
    <4>Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
    <6>Initializing Cryptographic API
    <6>io scheduler noop registered
    <6>io scheduler anticipatory registered
    <6>io scheduler deadline registered
    <6>io scheduler cfq registered (default)
    <6>isapnp: Scanning for PnP cards...
    <6>isapnp: No Plug & Play device found
    <6>Real Time Clock Driver v1.12ac
    <6>PNP: No PS/2 controller found. Probing ports directly.
    <6>serio: i8042 AUX port at 0x60,0x64 irq 12
    <6>serio: i8042 KBD port at 0x60,0x64 irq 1
    <6>Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
    <6>serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
    <6>Floppy drive(s): fd0 is 1.44M
    <6>FDC 0 is a post-1991 82077
    <4>RAMDISK driver initialized: 16 RAM disks of 64000K size 1024 blocksize
    <6>mice: PS/2 mouse device common for all mice
    <6>input: AT Translated Set 2 keyboard as /class/input/input0
    <6>input: PC Speaker as /class/input/input1
    <6>md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
    <6>md: bitmap version 4.39
    <6>NET: Registered protocol family 2
    <4>IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
    <4>TCP established hash table entries: 131072 (order: 7, 524288 bytes)
    <4>TCP bind hash table entries: 65536 (order: 6, 262144 bytes)
    <6>TCP: Hash tables configured (established 131072 bind 65536)
    <6>TCP reno registered
    <6>NET: Registered protocol family 1
    <4>Using IPI Shortcut mode
    <6>Freeing unused kernel memory: 156k freed
    <4>Write protecting the kernel read-only data: 287k
    <6>Unknown option ''
    <6>ide_setup: ide=nodma : Prevented DMA
    <6>Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
    <6>ide: Assuming 33MHz system bus speed for PIO modes; override with
idebus=xx
    <5>SCSI subsystem initialized
    <4>Driver 'sd' needs updating - please use bus_type methods
    <6>ICH5: IDE controller at PCI slot 0000:00:1f.1
    <6>PCI: Found IRQ 3 for device 0000:00:1f.1
    <6>PCI: Sharing IRQ 3 with 0000:00:1d.2
    <6>PCI: Sharing IRQ 3 with 0000:00:1f.2
    <6>ICH5: chipset revision 2
    <6>ICH5: not 100% native mode: will probe irqs later
    <6>    ide0: BM-DMA at 0xfc00-0xfc07, BIOS settings: hda:DMA, hdb:pio
    <6>    ide1: BM-DMA at 0xfc08-0xfc0f, BIOS settings: hdc:pio, hdd:DMA
    <7>Probing IDE interface ide0...
    <4>hda: ST340016A, ATA DISK drive
    <4>ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
    <6>hda: max request size: 128KiB
    <6>hda: 78165360 sectors (40020 MB) w/2048KiB Cache, CHS=65535/16/63
    <6>hda: cache flushes not supported
    <6> hda: hda1
    <7>Probing IDE interface ide1...
    <4>hdd: LITE-ON LTR-32123S, ATAPI CD/DVD-ROM drive
    <4>ide1 at 0x170-0x177,0x376 on irq 15
    <7>libata version 1.20 loaded.
    <7>ata_piix 0000:00:1f.2: version 1.05
    <7>ata_pci_init_one: pci_dev class+intf: 0x1018f
    <7>ata_pci_init_one: NO_LEGACY == 0
    <6>PCI: Found IRQ 3 for device 0000:00:1f.2
    <6>PCI: Sharing IRQ 3 with 0000:00:1d.2
    <6>PCI: Sharing IRQ 3 with 0000:00:1f.1
    <7>PCI: Setting latency timer of device 0000:00:1f.2 to 64
    <6>ata1: PATA max UDMA/133 cmd 0xD000 ctl 0xCC02 bmdma 0xC000 irq 3
    <6>ata2: PATA max UDMA/133 cmd 0xC800 ctl 0xC402 bmdma 0xC008 irq 3
    <7>ata1: dev 0 cfg 00:0c5a 49:2f00 82:346b 83:7d01 84:4003 85:3469 86:3c01
87:4003 88:207f 93:0000
    <6>ata1: dev 0 ATA-6, max UDMA/133, 312581808 sectors: LBA48
    <7>sata_get_dev_handle: SATA dev addr=0x1f0002, handle=0x00000000
    <6>ata1: dev 0 configured for UDMA/133
    <7>sata_get_dev_handle: SATA dev addr=0x1f0002, handle=0x00000000
    <6>scsi0 : ata_piix
    <7>ata2: dev 0 cfg 00:427a 49:2f00 82:746b 83:7f01 84:4023 85:7469 86:3c01
87:4023 88:207f 93:0000
    <6>ata2: dev 0 ATA-7, max UDMA/133, 390721968 sectors: LBA48
    <7>sata_get_dev_handle: SATA dev addr=0x1f0002, handle=0x00000000
    <6>ata2: dev 0 configured for UDMA/133
    <7>sata_get_dev_handle: SATA dev addr=0x1f0002, handle=0x00000000
    <6>scsi1 : ata_piix
    <5>  Vendor: ATA       Model: ST3160827AS       Rev: 3.42
    <5>  Type:   Direct-Access                      ANSI SCSI revision: 05
    <5>SCSI device sda: 312581808 512-byte hdwr sectors (160042 MB)
    <5>sda: Write Protect is off
    <7>sda: Mode Sense: 00 3a 00 00
    <5>SCSI device sda: drive cache: write back
    <5>SCSI device sda: 312581808 512-byte hdwr sectors (160042 MB)
    <5>sda: Write Protect is off
    <7>sda: Mode Sense: 00 3a 00 00
    <5>SCSI device sda: drive cache: write back
    <6> sda: sda1 sda2 < sda5 sda6 sda7 sda8 sda9 sda10 >
    <5>sd 0:0:0:0: Attached scsi disk sda
    <5>  Vendor: ATA       Model: WDC WD2000JS-00M  Rev: 02.0
    <5>  Type:   Direct-Access                      ANSI SCSI revision: 05
    <5>SCSI device sdb: 390721968 512-byte hdwr sectors (200050 MB)
    <5>sdb: Write Protect is off
    <7>sdb: Mode Sense: 00 3a 00 00
    <5>SCSI device sdb: drive cache: write back
    <5>SCSI device sdb: 390721968 512-byte hdwr sectors (200050 MB)
    <5>sdb: Write Protect is off
    <7>sdb: Mode Sense: 00 3a 00 00
    <5>SCSI device sdb: drive cache: write back
    <6> sdb:<5>sd 0:0:0:0: Attached scsi generic sg0 type 0
    <4> sdb1 sdb2 < sdb5 sdb6 sdb7 sdb8 sdb9 sdb10 sdb11 >
    <5>sd 1:0:0:0: Attached scsi disk sdb
    <5>sd 1:0:0:0: Attached scsi generic sg1 type 0
    <6>kjournald starting.  Commit interval 5 seconds
    <6>EXT3 FS on sdb6, internal journal
    <6>EXT3-fs: mounted filesystem with ordered data mode.
    <7>(/usr/src/linux-2.6.16.13-4/fs/jbd/recovery.c, 255): journal_recover:
JBD: recovery, exit status 0, recovered transactions 170826 to 170845
    <7>(/usr/src/linux-2.6.16.13-4/fs/jbd/recovery.c, 257): journal_recover:
JBD: Replayed 62 and revoked 0/0 blocks
    <6>kjournald starting.  Commit interval 5 seconds
    <6>EXT3 FS on sdb9, internal journal
    <6>EXT3-fs: recovery complete.
    <6>EXT3-fs: mounted filesystem with ordered data mode.
    <7>(/usr/src/linux-2.6.16.13-4/fs/jbd/recovery.c, 255): journal_recover:
JBD: recovery, exit status 0, recovered transactions 90398 to 90402
    <7>(/usr/src/linux-2.6.16.13-4/fs/jbd/recovery.c, 257): journal_recover:
JBD: Replayed 9 and revoked 0/0 blocks
    <6>kjournald starting.  Commit interval 5 seconds
    <6>EXT3 FS on sdb7, internal journal
    <6>EXT3-fs: recovery complete.
    <6>EXT3-fs: mounted filesystem with ordered data mode.
    <6>LKCD: Crash dump driver initialized.
    <4>LKCD: dump gzip safety buffer: eec4f000, 4096
    <4>LKCD: block device driver registered
    <4>LKCD: Configuring dump device
    <4>LKCD: Block device (8,27) successfully configured for dumping using
polling I/O
    <4>LKCD: single-stage dumper set up for dev 81b
    <4>
    <4>LKCD: Dump Level 0x3
    <4>LKCD: GZIP compression initalized
    <6>device-mapper: 4.5.0-ioctl (2005-10-04) initialised: dm-devel@redhat.com
    <7>dm-netlink version 0.0.2 loaded
    <6>AppArmor: AppArmor (version 2.0-19.43r6320) initialized
    <5>audit(1147901241.701:2): AppArmor (version 2.0-19.43r6320) initialized
    <4>
    <6>Adding 2104472k swap on /dev/sdb5.  Priority:-1 extents:1
across:2104472k
    <6>Adding 112438892k swap on /dev/sdb11.  Priority:-2 extents:1
across:112438892k
    <6>NET: Registered protocol family 10
    <6>lo: Disabled Privacy Extensions
    <6>IPv6 over IPv4 tunneling driver
    <4>ip6_tables: (C) 2000-2006 Netfilter Core Team
    <4>ip_tables: (C) 2000-2006 Netfilter Core Team
    <4>Netfilter messages via NETLINK v0.30.
    <4>ip_conntrack version 2.4 (6138 buckets, 49104 max) - 232 bytes per
conntrack
    <6>parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE,EPP]
    <6>parport0: irq 7 detected
    <6>lp0: using parport0 (polling).
    <6>usbcore: registered new driver usbfs
    <6>usbcore: registered new driver hub
    <6>i8xx TCO timer: initialized (0x0860). heartbeat=30 sec (nowayout=0)
    <6>8139too Fast Ethernet driver 0.9.27
    <6>PCI: Found IRQ 10 for device 0000:01:05.0
    <6>eth0: RealTek RTL8139 at 0xf2adec00, 00:0b:6a:b7:43:ee, IRQ 10
    <7>eth0:  Identified 8139 chip type 'RTL-8101'
    <6>USB Universal Host Controller Interface driver v2.3
    <6>PCI: Found IRQ 11 for device 0000:00:1d.0
    <6>PCI: Sharing IRQ 11 with 0000:00:02.0
    <6>PCI: Sharing IRQ 11 with 0000:00:1d.3
    <7>PCI: Setting latency timer of device 0000:00:1d.0 to 64
    <6>uhci_hcd 0000:00:1d.0: UHCI Host Controller
    <6>uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 1
    <6>uhci_hcd 0000:00:1d.0: irq 11, io base 0x0000dc00
    <6>usb usb1: new device found, idVendor=0000, idProduct=0000
    <6>usb usb1: new device strings: Mfr=3, Product=2, SerialNumber=1
    <6>usb usb1: Product: UHCI Host Controller
    <6>usb usb1: Manufacturer: Linux 2.6.16.13-4-lkcd uhci_hcd
    <6>usb usb1: SerialNumber: 0000:00:1d.0
    <6>usb usb1: configuration #1 chosen from 1 choice
    <6>hub 1-0:1.0: USB hub found
    <6>hub 1-0:1.0: 2 ports detected
    <6>PCI: Found IRQ 5 for device 0000:00:1d.1
    <7>PCI: Setting latency timer of device 0000:00:1d.1 to 64
    <6>uhci_hcd 0000:00:1d.1: UHCI Host Controller
    <6>uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 2
    <6>uhci_hcd 0000:00:1d.1: irq 5, io base 0x0000e000
    <6>usb usb2: new device found, idVendor=0000, idProduct=0000
    <6>usb usb2: new device strings: Mfr=3, Product=2, SerialNumber=1
    <6>usb usb2: Product: UHCI Host Controller
    <6>usb usb2: Manufacturer: Linux 2.6.16.13-4-lkcd uhci_hcd
    <6>usb usb2: SerialNumber: 0000:00:1d.1
    <6>usb usb2: configuration #1 chosen from 1 choice
    <6>hub 2-0:1.0: USB hub found
    <6>hub 2-0:1.0: 2 ports detected
    <6>Linux agpgart interface v0.101 (c) Dave Jones
    <6>PCI: Found IRQ 3 for device 0000:00:1d.2
    <6>PCI: Sharing IRQ 3 with 0000:00:1f.1
    <6>PCI: Sharing IRQ 3 with 0000:00:1f.2
    <7>PCI: Setting latency timer of device 0000:00:1d.2 to 64
    <6>uhci_hcd 0000:00:1d.2: UHCI Host Controller
    <6>uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 3
    <6>uhci_hcd 0000:00:1d.2: irq 3, io base 0x0000e400
    <6>usb usb3: new device found, idVendor=0000, idProduct=0000
    <6>usb usb3: new device strings: Mfr=3, Product=2, SerialNumber=1
    <6>usb usb3: Product: UHCI Host Controller
    <6>usb usb3: Manufacturer: Linux 2.6.16.13-4-lkcd uhci_hcd
    <6>usb usb3: SerialNumber: 0000:00:1d.2
    <6>usb usb3: configuration #1 chosen from 1 choice
    <6>hub 3-0:1.0: USB hub found
    <6>hub 3-0:1.0: 2 ports detected
    <6>hdd: ATAPI 40X CD-ROM CD-R/RW drive, 2048kB Cache
    <6>Uniform CD-ROM driver Revision: 3.20
    <6>PCI: Found IRQ 11 for device 0000:00:1d.3
    <6>PCI: Sharing IRQ 11 with 0000:00:02.0
    <6>PCI: Sharing IRQ 11 with 0000:00:1d.0
    <7>PCI: Setting latency timer of device 0000:00:1d.3 to 64
    <6>uhci_hcd 0000:00:1d.3: UHCI Host Controller
    <6>uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 4
    <6>uhci_hcd 0000:00:1d.3: irq 11, io base 0x0000e800
    <6>usb usb4: new device found, idVendor=0000, idProduct=0000
    <6>usb usb4: new device strings: Mfr=3, Product=2, SerialNumber=1
    <6>usb usb4: Product: UHCI Host Controller
    <6>usb usb4: Manufacturer: Linux 2.6.16.13-4-lkcd uhci_hcd
    <6>usb usb4: SerialNumber: 0000:00:1d.3
    <6>usb usb4: configuration #1 chosen from 1 choice
    <6>hub 4-0:1.0: USB hub found
    <6>hub 4-0:1.0: 2 ports detected
    <6>agpgart: Detected an Intel 865 Chipset.
    <6>agpgart: No pre-allocated video memory detected.
    <1>Unable to handle kernel paging request at virtual address ffffd0b0
    <1> printing eip:
    <4>c10100b0
    <1>*pde = 00002067
    <0>Oops: 0003 [#1]
    <0>last sysfs file: /devices/pci0000:00/0000:00:1f.1/class
    <4>Modules linked in: snd_intel8x0 snd_ac97_codec snd_ac97_bus ide_cd cdrom
snd_pcm snd_timer snd soundcore snd_page_alloc ehci_hcd intel_agp agpgart
i2c_i801 i2c_core uhci_hcd 8139too mii i8xx_tco usbcore parport_pc lp parport
ip6t_REJECT xt_tcpudp ipt_RJECT xt_state iptable_mangle iptable_nat ip_nat
iptable_filter ip6table_mangle ip_conntrack nfnetlink ip_tables ip6table_filter
ip6_tables x_tables ipv6 apparmor aamatch_pcre dm_mod scsi_dump dump_blockdev
dump_gzip zlib_deflate dump ext3 jbd processor sg    ata_piix libata piix
sd_mod scsi_mod ide_disk ide_core
    <0>CPU:    0
    <4>EIP:    0060:[<c10100b0>]    Tainted: G     U VLI
    <4>EFLAGS: 00010046   (2.6.16.13-4-lkcd #3)
    <0>EIP is at smp_apic_timer_interrupt+0x8/0x30
    <0>eax: eaf41e20   ebx: 00001e10   ecx: 00007840   edx: 00000000
    <0>esi: f2b33fa0   edi: f2b46000   ebp: 00000006   esp: eaf41e1c
    <0>ds: 007b   es: 007b   ss: 0068
    <0>Process modprobe (pid: 1509, threadinfo=eaf40000 task=dfea0ab0)
    <0>Stack: <0>c1003abc 00001e10 00007840 2b1c2001 f2b33fa0 f2b46000 00000006
000004ff
    <0>       f2b3007b f2b4007b ffffffef f2b2f676 00000060 00000286 f0000008
00060006
    <0>       00000000 eb144c40 f2b26279 0001f40a eb144c40 f2b3364c f2b33620
dff85800
    <0>Call Trace:
    <0> [<c1003abc>] apic_timer_interrupt+0x1c/0x30
    <0> [<f2b3007b>] intel_i915_remove_entries+0x2/0x72 [intel_agp]
    <0> [<f2b2f676>] intel_i830_configure+0xe5/0xf6 [intel_agp]
    <0> [<f2b26279>] agp_add_bridge+0x159/0x264 [agpgart]
    <0> [<c1100ea2>] __driver_attach+0x0/0x85
    <0> [<c10ac379>] pci_device_probe+0x36/0x57
    <0> [<c1100def>] driver_probe_device+0x3f/0x88
    <0> [<c1100f02>] __driver_attach+0x60/0x85
    <0> [<c1100911>] bus_for_each_dev+0x39/0x5b
    <0> [<c1100d5c>] driver_attach+0x11/0x13
    <0> [<c1100ea2>] __driver_attach+0x0/0x85
    <0> [<c1100622>] bus_add_driver+0x64/0xfa
    <0> [<c10ac4b4>] __pci_register_driver+0x59/0x75
    <0> [<c102b0b6>] sys_init_module+0x12f4/0x1480
    <0> [<f2b1c000>] ac97_bus_match+0x0/0x6 [snd_ac97_bus]
    <0> [<c10029db>] sysenter_past_esp+0x54/0x79
    <0>Code: 70 d1 ff ff 85 c0 79 08 31 c0 87 05 b0 d0 ff ff 6a 00 68 02 c1 18
c1 e8 77 7c 00 00 58 5a e9 36 b3 00 00 ff 05 0c a1 23 c1 31 d2 <87> 15 b0 d0 ff
ff ba 00 e0 ff ff 21 e2 81 42 14 00 00 01 00 89
    <4> LKCD: smp_num_cpus in header 1
    <4>LKCD: Dumping to block device (8,27) on CPU 0 using polling I/O ...
    <4>LKCD: Writing dump header
    <4>-


====================
CURRENT SYSTEM TASKS
====================

      ADDR    UID    PID   PPID  STATE     FLAGS CPU  NAME
===============================================================================
0xc11c02a0      0      0      0      0    0x2000   -  swapper
0xdfdabab0      0      1      0      1  0x802100   -  init
0xdfdab570      0      2      1      0    0xa040   -  ksoftirqd/0
0xdfdab030      0      3      1      1    0xa040   -  events/0
0xdffeeab0      0      4      1      1    0xa040   -  khelper
0xdffee570      0      5      1      1    0xa040   -  kthread
0xdff84ab0      0      7      5      1    0xa040   -  kblockd/0
0xdfe57030      0     60      5      1  0x1003040   -  pdflush
0xdfe5dab0      0     61      5      1  0x1003040   -  pdflush
0xdfe5d030      0     63      5      1    0xa040   -  aio/0
0xdfe5d570      0     62      1      1  0x1042840   -  kswapd0
0xef8d9030      0    268      5      1    0xa040   -  cqueue/0
0xef8dbab0      0    269      5      1    0x2040   -  kseriod
0xdffee030      0    307      5      1    0xa040   -  kpsmoused
0xdfe55ab0      0    668      5      1    0xa040   -  ata/0
0xef8de570      0    677      5      1    0xa040   -  scsi_eh_0
0xdff5b030      0    678      5      1    0xa040   -  scsi_eh_1
0xdfe50ab0      0    774      1      1  0x800040   -  kjournald
0xdff5b570      0    822      1      1  0x800040   -  kjournald
0xef8d9570      0    824      1      1  0x800040   -  kjournald
0xdfe55570      0   1133      1      1  0x800100   -  rc
0xdfea0030      0   1148      1      1  0x800140   -  blogd
0xef8db570      0   1160   1133      1  0x800000   -  S03boot.udev
0xef8d9ab0      0   1168      1      0  0x800140   -  udevd
0xeb152570      0   1206   1160      1  0x800000   -  udevsettle
0xeb65d030      0   1424   1168      1  0x800040   -  udevd
0xeb1abab0      0   1425   1424      1  0x800000   -  hwup
0xeb1ab570      0   1426   1168     32  0x80004c   -  udevd
0xeb3c8ab0      0   1444   1168      1  0x800040   -  udevd
0xeb302ab0      0   1445   1444      1  0x800000   -  hwup
0xeac50030      0   1452   1445      0  0x800100   -  modprobe
0xeb3c8570      0   1453   1168     32  0x80004c   -  udevd
0xeb302570      0   1465   1168     32  0x80004c   -  udevd
0xeb126ab0      0   1479   1168     32  0x80004c   -  udevd
0xeb107030      0   1497      5      2    0x2040   -  khubd
0xeb0ea030      0   1501   1168      1  0x800040   -  udevd
0xeb0ea570      0   1502   1501      1  0x800000   -  hwup
0xdfea0ab0      0   1509   1502      0  0x800100   -  modprobe
0xeb107570      0   1580   1425      0  0x800100   -  modprobe
0xeac52570      0   1590   1168      1  0x800140   -  udevd
0xeb126570  65534   1647   1590      0  0x800100   -  vol_id
0xeb05a570      0   1654   1168     32  0x80004c   -  udevd
0xeb17cab0      0   1663   1168      0  0x800040   -  udevd
0xeb3c8030      0   1664   1663      0  0x800000   -  hwup
0xeb126030      0   1665   1664      0  0x800040   -  hwup

===========================
STACK TRACE OF FAILING TASK
===========================

================================================================
STACK TRACE FOR TASK: 0xdfea0ab0 (modprobe)

================================================================
>>
Comment 1 Daniel Marynicz 2006-05-19 05:56:54 EDT
I Not have kernel with LKCD on RC4 or RC5... :( I' m sorry
I Not have kernel with LKCD on Fedora Core 4 or Fedora Core 5...
Comment 2 Dave Jones 2006-10-16 13:27:51 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Daniel Marynicz 2006-10-26 07:59:57 EDT
This bug has not Fixed in distribution of Ubuntu 6.10 beta, OpenSuse 10.2
Alpha5, Fedora Core 6 :(
Comment 4 Anton Vassiliou 2007-11-30 14:42:53 EST
I cant get a live cd boot from Fedora 7, Ubuntu 7.10, PCLOS 2007 Final,
sysrescd, on a similar mobo, ASRock P4i45GV R5.0 which claims that the ASRock
A.G.I. 8X is "A gift for VGA upgrade on i845GV". never look a gift horse in the
mouth I suppose.
Comment 5 Jon Stanley 2007-12-30 19:40:24 EST
reassigning to F7 since this issue exists there.  However, you may also want to
consider filing an upstream bug at http://bugzilla.kernel.org
Comment 6 Christopher Brown 2008-02-15 22:04:57 EST
Daniel,

Have you been able to test with Fedora 8 or even Fedora 9 Alpha? Have you
considered filing this bug upstream?
Comment 7 Brian Powell 2008-04-24 23:44:50 EDT
Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.
Comment 8 Brian Powell 2008-04-25 01:05:03 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.